#include <stdio.h>

#include "Polynomial.h"
#include "Utility.h"

int main(int argc, char* argv[]) {
  Polynomial* pPoly = NULL;

  try {
    while (1) {
      pPoly = new Polynomial();

      printf("\nInput a polynomal: ");
      if ( pPoly->read() ) break;

      // just print it out
      printf("\nPolynomial: ");
      pPoly->print();
      printf("\n");

      while (1) {
	double x;
	printf("x: ");
	if ( readDouble(x) == EOF ) break;
	printf("%lf\n", pPoly->evaluate(x));
      }

      delete pPoly;
      pPoly = NULL;
    }
  }
  catch (char const* s) {
    printf("Exception: %s\n", s);
  }

  if ( pPoly ) delete pPoly;

  return 0;
}
