#include <stdio.h>

#include "Vector.h"

int main(int argc, char* argv[]) {
  Vector* pVec = NULL;

  try {
    while (1) {
      pVec = new Vector();

      printf("\nInput a vector: ");
      if ( pVec->read() ) break;

      // just print it out
      printf("\nVector: ");
      pVec->print();
      printf("\n");

      delete pVec;
      pVec = NULL;
    }
  }
  catch (char const* s) {
    printf("Exception: %s\n", s);
  }

  if ( pVec ) delete pVec;

  return 0;
}
