#include <stdio.h>

#include "Utility.h"

//----------------------------------------------------
// readInt
//  Takes a reference parameter (a pointer, but without
//   the pointer syntax).
//  Returns: 0 - normal or EOF - eof
//  Throws: char const* error message
//----------------------------------------------------

int readInt(int& n) {
  int rcode = scanf("%d", &n);
  if ( rcode == EOF ) return EOF;
  if ( rcode != 1 ) throw "Some error reading integer";
  return 0;
}

//----------------------------------------------------
// readDouble
//  Takes a reference parameter (a pointer, but without
//   the pointer syntax).
//  Returns: 0 - normal or EOF - eof
//  Throws: char const* error message
//----------------------------------------------------

int readDouble(double& x) {
  int rcode = scanf("%lf", &x);
  if ( rcode == EOF ) return EOF;
  if ( rcode != 1 ) throw "Some error reading double";
  return 0;
}
