#ifndef VECTOR_H
#define VECTOR_H

class Vector {
 private:
  int      capacity;      // allocated space, measured in elements

 protected:
  int      length;        // number of elements in vector
  double*  pVec;          // pointer to array of eleemnts

 private:
  void append(double x);  // adds an element to the end of the vector

 protected:
  int fill(int n);        // reads n data elements from stdin

 public:
  Vector();               // constructor -- doesn't take a length
  ~Vector();              // destructor -- called when object deleted

  virtual int  read();    // initializes from stdin; returns 0 for success
  virtual void print();   // prints to stdout
};

#endif // VECTOR_H
